body {
    background-image: url(../img/bg/bg-img1.png);
    background-size: 241px 112px;
  }
  
  /* ==================================================================
         parallax images
  ================================================================== */
  .fixed-shirt{
    position: absolute;
    top: 10vh;
    left: 0;
    width: auto;
    transition: transform 0.1s linear;
    height: 150px;
    z-index: 99;
  }
  
  /* ==================================================================
         parallax images END
  ================================================================== */
  /* ==================================================================
         navbar
  ================================================================== */
  .navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 99;
    transition: 0.5s;
    .container{
    padding-top: 40px;
    transition: 0.5s;
    }
    .brand-logo {
      height: 50px;
      transition: 0.5s;
    }
  
    .nav-link {
      color: white;
    }
  }
  .navbar::before{
    content: '';
    left: 0;
    top: 0;
    position: absolute;
    height: 100%;
    width: 100%;
    transform: translateY(-100%);
    z-index: -1;
    background: white;
    transition: 0.5s;
  }
  .navbar.scrolled::before{
    transform: translateY(0);
  }
  .navbar.scrolled {
    .container{
    padding-top:0px;
    .brand-logo{
      /* filter: none; */
      filter: invert(100%) sepia(13%) saturate(7484%) hue-rotate(292deg) brightness(105%) contrast(108%);
    }
    .nav-link{
      color: black;
      font-weight: bold;
    }
    }
  }
  @media (min-width: 992px) {
    .navbar-expand-lg .navbar-collapse {
      display: flex !important;
      flex-basis: auto;
      /* flex-direction: row; */
      justify-content: flex-end;
    }
  }
  
  /* ==================================================================
         navbar end
  ================================================================== */



  /* ==================================================================
       socialmedia popup 
================================================================== */
.call-btn img,.whats-btn img{
    filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(15deg) brightness(107%) contrast(101%);
    height: 1.5rem;
    width: 1.5rem;
    }
    .call-btn:hover{
    width: fit-content;
    }
    .call-btn:hover .title,.whats-btn:hover .title,.insta-btn:hover .title{
    width: 100px;
    color: white;
    }
    .call-btn .img-div,.whats-btn .img-div,.insta-btn .img-div{
    width: 3rem;
    height: 3rem;
    display: flex;
    justify-content: center;
    align-items: center;
    }
    .call-btn .title,.whats-btn .title,.insta-btn .title{
    /* transform: translateX(100%); */
    /* visibility: hidden; */
    /* display: none; */
    width: 0px;
    overflow: hidden;
    transition: 0.5s;
    white-space: nowrap;
    
    }
    .call-btn,.whats-btn,.insta-btn{
    position: fixed;
    /* left: 2rem; */
    bottom: 2rem;
    height: 3rem;
    /* width: 3rem; */
    z-index: 999;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    right: 0;
    text-decoration: none;
    }
    .call-btn{
    background: #1d87d9;
    /* left: 2rem; */
    transform: translate(100%,0);
    transition: 0.5s;
    }
    .whats-btn{
    background:rgb(0, 151, 96);
    /* transform: translateY(-50px); */
    transform: translate(100%,0);
    transition: 0.5s;
    /* right: 2rem; */
    }
    .insta-btn{
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%,#d6249f 60%,#285AEB 90%);
    /* transform: translateY(-100px); */
    transform: translate(100%,0);
    transition: 0.5s;
    /* width: 100px; */
    }
    .insta-btn img{
    height: 22px;
    filter: invert(100%) sepia(0%) saturate(1503%) hue-rotate(327deg) brightness(105%) contrast(94%);
    }
    /* animations */
    .insta-btn.scrolled{
      animation: insta-anime 3s forwards;
      transition: 0.5s;
    }
    .whats-btn.scrolled{
      animation: whats-anime 3s forwards;
      animation-delay: 1s;
      transition: 0.5s;
    }
    .call-btn.scrolled{
      animation: call-anime 3s forwards;
      animation-delay: 2s;
      transition: 0.5s;
    }
    @keyframes insta-anime {
      20%{
        transform: translate(0,0);
      }
      50%{
        transform: translate(0,-50px);
      }
      100%{
        transform: translate(0,-100px);
      }
    }
    @keyframes whats-anime {
      25%{
        transform: translate(0,0);
      }
      40%{
        transform: translate(0,-50px);
      }
      100%{
        transform: translate(0,-50px);
      }
    }
    @keyframes call-anime {
      20%{
        transform: translate(0,0);
      }
      100%{
        transform: translate(0,0);
      }
    }
    
  /* ==================================================================
         socialmedia popup END
  ================================================================== */

  /* ==================================================================
         banner 
  ================================================================== */
  @media (min-width:768px) {
    .abs-img{
      display: none;
    }
  }
  @media (max-width:768px) {
    .abs-img{
      position: absolute;
      height: 100%;
      width: 100%;
      object-fit: cover;
      object-position: center;
      top: 0;
      left: 0;
      /* opacity: 5%; */
    }
    .bnr-scn .container{
      background: #0000007a;
    }
  }
  .bnr-scn::before{
	content: '';
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    /* background: ; */
    z-index: 0;
    position: absolute;
    background: #00000047;
    backdrop-filter: blur(2px);
  }
  .bnr-scn::after{
	content: '';
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    /* background: ; */
    z-index: 0;
    position: absolute;
    background: url(../img/bg/bg-img1.png )linear-gradient(black,transparent);
    /* backdrop-filter: blur(2px); */
    background-size: 241px 112px;
  }
  
  .bnr-scn{
	position: relative;
    height: 50vh;
	background: url(../img/bg/logo-shirt2.jpg);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	background-attachment: fixed;
	.container{
		color: white;
		display: flex;
		height: 100%;
		justify-content: center;
		align-items: center;
		position: relative;
		z-index: 1;
	}
  }
  @media (max-width:768px) {
	.bnr-scn{
		background-size: 100vw 100%;
	  }
  }
  /* ==================================================================
         banner END
  ================================================================== */




  


main h1 {
	position: relative;
	font-size: clamp(2rem, 3vw + 1rem, 8rem);
}

main h2,
main p {
	margin: 0;
}
main section,
main article {
	height: 100%;
	position: relative;
	width: 100%;
	max-width: 40ch;
}

:root {
	--lower: 150px;
	--upper: 290px;
	--mid: 40vmin;
	--ratio: 0.075;
	--gap: clamp(
		var(--lower) * var(--ratio),
		var(--mid) * var(--ratio),
		var(--upper) * var(--ratio)
	);
}



header {
	height: 50vh;
	display: grid;
	place-items: end;
}
body > section {
	height: 25vh;
}
/* These determine the scroll distance for change  */
main > section {
	height: 80vh;
}

main h1 span {
	font-size: 0.5em;
	display: block;
	text-align: center;
	font-variant: small-caps;
}

main h1::after {
	content: "™";
	position: absolute;
	top: 0;
	left: 100%;
	font-size: 0.75em;
}

main .centered {
	display: grid;
	place-items: center;
	width: 100%;
	max-width: 100%;
}

main .centered h2 {
	font-size: clamp(1.5rem, 2vw + 1rem, 6rem);
}

main .tiles {
	display: grid;
	width: clamp(var(--lower), var(--mid), var(--upper));
	display: flex;
	flex-direction: column-reverse;
	justify-self: center;
	translate: 0 calc(50% + (var(--gap)));
}
main .tile {
	height: var(--gap);
	position: relative;
}
main hr {
	height: 2px;
	width: 100%;
}
@media(min-width: 768px) {
	main hr {
		width: calc(100% + 4rem);
		translate: -4rem 0;
	}
	main .tiles {
		justify-self: end;
	}
}
main{
.tile::after,
.tile::before {
	content: '';
	background-image: url(https://assets.codepen.io/605876/translucent-panel.png);
	position: absolute;
	width: 100%;
	aspect-ratio: 1160 / 521;
	background-size: cover;
	top: 50%;
	left: 50%;
	translate: -50% -50%;
}
.tile::after {
	opacity: 0;
	background-image: url(https://assets.codepen.io/605876/color-panel.png);
	filter: hue-rotate(var(--r, 0deg));
}
.tile:nth-of-type(1)::after {
	background-image: url(https://assets.codepen.io/605876/bottom-panel.png);
	filter: hue-rotate(var(--r, 0deg)) brightness(2);
}
.tile:nth-of-type(4)::after {
	opacity: 1;
}
.content {
	min-height: 100vh;
	display: grid;
	grid-template: 1fr 1fr / 1fr;
	place-items: center;
	gap: 4rem;
	position: sticky;
	top: 0;
	/* margin-bottom: 50vh; */
	padding: 2rem;
}

article {
	display: grid;
	position: absolute;
	height: 100%;
	grid-template-rows: auto auto 1fr;
	top: 0;
	left: 0;
	font-weight: 300;
}
article p {
	color: hsl(0deg 4.18% 78.61%);
}
footer {
	padding: 2rem;
}

.title-wrap {
	align-self: end;
  color: white;
}
.content-wrap {
	align-self: start;
}
}
:is(.title-wrap, .content-wrap) {
	line-height: 1.5;
	-webkit-mask: linear-gradient(transparent, white 10px calc(100% - 10px), transparent);
	        mask: linear-gradient(transparent, white 10px calc(100% - 10px), transparent);
}

@media (min-width: 768px) {
	main article {
		grid-template-rows: 1fr auto 1fr;
	}
	main .content {
		grid-template: 1fr / 1fr 1fr;
	}
}

@supports (animation-timeline: scroll()) {
	:root {
		timeline-scope: --section-one, --section-two, --section-three,
			--section-four;
	}
	main .tiles {
		--orig: 0;
		--dest: calc(-100% + var(--gap));
		-webkit-animation: translate both linear;
		        animation: translate both linear;
		animation-timeline: --main;
		animation-range: entry 150vh exit -100vh;
	}

	@media(max-width: 768px) {
		main .tiles {
			--orig: 200%;
			--dest: 0%;
			align-self: center;

		}
	}

	main {
		view-timeline-name: --main;
		width: 100%;
	}
	main .section--one {
		view-timeline-name: --section-one;
	}
  @media(min-width: 768px) {
    main .section--one {
      justify-self: start;
    }
  }
  main {
	.section--two {
		view-timeline-name: --section-two;
	}
	.section--three {
		view-timeline-name: --section-three;
	}
	.section--four {
		view-timeline-name: --section-four;
	}
	.section--five {
		height: 50vh;
	}

	article :is(h2, p),
	.tile,
	.tile::before,
	.tile::after {
		-webkit-animation: journey both linear;
		        animation: journey both linear;
	}

	article :is(h2, p),
	.tile,
	.tile::after,
	.tile::before {
		animation-range: entry 20% entry 120%;
	}
	article:nth-of-type(1) :is(h2, p),
	.tile:nth-of-type(4)::after,
	.tile:nth-of-type(4)::before {
		animation-range: entry -80% entry 20%;
	}
	.tile::after,
	.tile::before {
		--start: 0;
		--end: 0;
		--origin: -50% -50%;
		--destination: -50% -50%;
		--via: -50% -50%;
	}
	.tile::before {
		--start: 1;
		--mid: 1;
		--end: 0.5;
	}
	.tile:nth-of-type(4)::after {
		--start: 1;
	}
	.tile:nth-of-type(4) {
		--origin: 0 -150%;
	}
	.tile:nth-of-type(1)::after {
		--start: 0;
		--mid: 1;
		--end: 1;
	}
	article :is(h2, p) {
		--origin: 0 100%;
		--via: 0 0;
		--destination: 0 -100%;
		--start: 0;
		--mid: 1;
		--end: 0;
	}
	article:nth-of-type(4) :is(h2, p) {
		--destination: 0 0;
		--end: 1;
	}
	article:nth-of-type(1) :is(h2, p) {
		--origin: 0 0;
		--via: 0 0;
		--destination: 0 -100%;
		--start: 1;
		--end: 0;
	}
	.tile {
		--origin: 0 0;
		--via: 0 -150%;
		--destination: 0 -150%;
	}
	.tile:nth-of-type(3),
	.tile:nth-of-type(3)::after,
	.tile:nth-of-type(4),
	.tile:nth-of-type(4)::after,
	article:nth-of-type(1) :is(h2, p),
	article:nth-of-type(2) :is(h2, p) {
		animation-timeline: --section-two;
	}
	.tile:nth-of-type(2),
	.tile:nth-of-type(2)::after,
	article:nth-of-type(3) :is(h2, p) {
		animation-timeline: --section-three;
	}
	.tile:nth-of-type(1),
	.tile:nth-of-type(1)::after,
	article:nth-of-type(4) :is(h2, p) {
		animation-timeline: --section-four;
	}
}
	@-webkit-keyframes translate {
		from {
			transform: translateY(var(--orig));
		}
		to {
			transform: translateY(var(--dest));
		}
	}
	@keyframes translate {
		from {
			transform: translateY(var(--orig));
		}
		to {
			transform: translateY(var(--dest));
		}
	}
	@-webkit-keyframes journey {
		0% {
		
			translate: var(--origin, 0 0);
			opacity: var(--start, 1);
		}
		15%, 85% {
			translate: var(--via, 0 0);
			opacity: var(--mid, 1);
		}
		100% {
			translate: var(--destination, 0 0);
			opacity: var(--end, 1);
		}
	}
	@keyframes journey {
		0% {
			translate: var(--origin, 0 0);
			opacity: var(--start, 1);
		}
		15%, 85% {
			translate: var(--via, 0 0);
			opacity: var(--mid, 1);
		}
		100% {
			translate: var(--destination, 0 0);
			opacity: var(--end, 1);
		}
	}
}

/* Social */
main {
.bear-link {
  color: canvasText;
  position: fixed;
  top: 2rem;
  right: 2rem;
  width: 48px;
  aspect-ratio: 1;
  display: grid;
  place-items: center;
  opacity: 0.8;
}

:where(.x-link, .bear-link):is(:hover, :focus-visible) {
  opacity: 1;
}
.bear-link svg {
  width: 75%;
}
}
  /* ==================================================================
         about content END
  ================================================================== */


/*==================================================================
                      footer 
==================================================================*/
footer{
	position: fixed;
	bottom: 0;
	width: 100%;
	top: auto;
	z-index: -1;
	background-image: url(../img/bg/bg-img1.png);
    background-size: 241px 112px;
		  img {
	max-width: 100%;
	height: auto;
  }
		section {
			padding: 60px 0;
		   /* min-height: 100vh;*/
		}
  ul {
			margin: 0;
			padding: 0;
			list-style: none;
		}
  .contact-area {
	border-bottom: 1px solid #353C46;
  }
  
  .contact-content p {
	font-size: 15px;
	margin: 30px 0 60px;
	position: relative;
  }
  
  .contact-content p::after {
	background: #353C46;
	bottom: -30px;
	content: "";
	height: 1px;
	left: 50%;
	position: absolute;
	transform: translate(-50%);
	width: 80%;
  }
  
  .contact-content h6 {
	color: #8b9199;
	font-size: 15px;
	font-weight: 400;
	margin-bottom: 10px;
  }
  
  .contact-content span {
	color: #353c47;
	margin: 0 10px;
  }
  
  .contact-social {
	margin-top: 30px;
  }
  
  .contact-social > ul {
	display: inline-flex;
  }
  
  .contact-social ul li a {
	border: 1px solid #8b9199;
	color: #8b9199;
	display: inline-block;
	height: 40px;
	margin: 0 10px;
	padding-top: 7px;
	transition: all 0.4s ease 0s;
	width: 40px;
  }
  
  .contact-social ul li a:hover {
	border: 1px solid #FAB702;
	color: #FAB702;
  }
  
  .contact-content img {
	max-width: 210px;
  }
  
  section, .footerr {
	/* background: #1A1E25; */
	color: #868c96;
  }
  
  .footerr p {
	padding: 7px 0;
	text-align: center;
  }
  
  .footerr img {
	width: 44px;
  }
  }
  /*==================================================================
						footer END
  ==================================================================*/